-- Created		01/12/2004
-- Modified:	18/10/2019
-- Project		Paghe Pro
-- Model		Paghe (Cnce)
-- Company		Iubar.it (http://www.iubar.it)
-- Author		ing. Andrea Borgogelli Avveduti (info@iubar.it)
-- Version:		01.97.00
-- Database		Firebird

/******************************************************************************/
/****                                Connection                            ****/
/******************************************************************************/

CONNECT 'localhost:C:\Users\Iubar\AppData\Local\Temp\fdb\paghe.fdb'
USER 'SYSDBA' PASSWORD 'masterkey';

/******************************************************************************/
/****                                Data                                  ****/
/******************************************************************************/

INSERT INTO CNCE_TIPOASSUNZIONE (IDTIPOASSUNZIONE, DESCRIZIONE) VALUES ('1', 'Tempo Indeterminato');
INSERT INTO CNCE_TIPOASSUNZIONE (IDTIPOASSUNZIONE, DESCRIZIONE) VALUES ('2', 'Tempo Determinato');
INSERT INTO CNCE_TIPOASSUNZIONE (IDTIPOASSUNZIONE, DESCRIZIONE) VALUES ('3', 'Part Time');
INSERT INTO CNCE_TIPOASSUNZIONE (IDTIPOASSUNZIONE, DESCRIZIONE) VALUES ('4', 'Formazione Lavoro');
INSERT INTO CNCE_TIPOASSUNZIONE (IDTIPOASSUNZIONE, DESCRIZIONE) VALUES ('5', 'Apprendistato');
INSERT INTO CNCE_TIPOASSUNZIONE (IDTIPOASSUNZIONE, DESCRIZIONE) VALUES ('7', 'Lavoro a chiamata');


COMMIT WORK;

INSERT INTO CNCE_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('1', 'Licenziamento');
INSERT INTO CNCE_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('2', 'Dimissioni');
INSERT INTO CNCE_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('3', 'Trasferimento o trasferta in altra provincia');
INSERT INTO CNCE_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('4', 'Deceduto');
INSERT INTO CNCE_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('5', 'Modifica qualifica da operaio ad impiegato');
INSERT INTO CNCE_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('6', 'Pensionamento');

COMMIT WORK;

INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Operaio Comune', 'O1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Operaio Qualificato', 'O2');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Operaio Specializzato', 'O3');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Operaio Quarto Livello', 'O4');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Capo Squadra - Qualificato', 'C1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Capo Squadra – Specializzato', 'C2');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Contratto Formazione/Lavoro (Retribuzione Operaio Comune)', 'F1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Contratto Formazione/Lavoro (Retribuzione Operaio Qualificato)', 'F2');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Discontinui 50 H', 'D1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Discontinui 60 H', 'D2');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista PRIMO Semestre', 'A1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista SECONDO Semestre', 'A2');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista TERZO Semestre', 'A3');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista QUARTO Semestre', 'A4');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista QUINTO Semestre', 'A5');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista SESTO Semestre', 'A6');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista SETTIMO Semestre', 'A7');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendista OTTAVO Semestre', 'A8');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante con qualifica finale al 2°livello di inquadramento contrattuale', 'AB');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante con qualifica finale al 3°livello di inquadramento contrattuale', 'AC');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante con qualifica finale al 4°livello di inquadramento contrattuale', 'AD');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante di primo inserimento con qualifica finale al 2°livello di inquadramento contrattuale', 'AF');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante di primo inserimento on qualifica finale al 3° livello di inquadramento contrattuale con retribuzione del 1°livello', 'AG');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante di primo inserimento on qualifica finale al 3° livello di inquadramento contrattuale on retribuzione del 2°livello', 'AH');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante di primo inserimento con qualifica finale al 4°livello di inquadramento contrattuale con retrib uzione del 2°livello', 'AL');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Apprendistato professionalizzante di primo inserimento con qualifica finale al 4° livello di inquadramento contrattuale con retrib uzione del 3° livello', 'AM');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati PRIMO livello', 'I1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati SECONDO livello', 'I2');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati TERZO livello', 'I3');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati QUARTO livello', 'I4');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati QUINTO livello', 'I5');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati SESTO livello', 'I6');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Impiegati SETTIMO livello', 'I7');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Quadri', 'Q1');
INSERT INTO CNCE_LIVELLOQUALIFICA (DESCRIZIONE, IDLIVELLOQUALIFICA) VALUES ('Qualifica non pervenuta', '00');

COMMIT WORK;

INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Impiegato o Quadro', '00');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Muratore', '01');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Carpentiere – Pontatore', '02');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Ferraiolo', '03');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Gruista', '04');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Autista', '05');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Manovale – Badilante', '06');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Piastrellista, Posatore, Lucidatore, Marmista, Pavimentista, Levigatore', '07');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Asfaltista, Bitumatore, Rullista, Calderaio', '08');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Verniciatore, Tappezziere, Imbianchino, Decoratore, Stuccatore', '09');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Meccanico, Tornitore, Fresatore', '10');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Magazziniere, Guardiano, Commesso', '11');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Elettricista, Idraulico, Lattoniere, Falegname', '12');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Saldatore, Giuntista, Fabbro', '13');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Scalpellino, Selciatore', '14');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Imp. Calcestruzzi, Attrezzista, Cementista', '15');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Fornellista', '16');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Macchinista, Escavatorista, Compress., Ruspista, Palis, Sond', '17');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Cuoco', '18');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Varie', '19');
INSERT INTO CNCE_MANSIONE (DESCRIZIONE, IDMANSIONE) VALUES ('Capo Squadra', '20');

COMMIT WORK;

INSERT INTO CNCE_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('4', 'Formazione lavoro');
INSERT INTO CNCE_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('5', 'Apprendista');
INSERT INTO CNCE_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('6', 'Cottimista');

COMMIT WORK;

INSERT INTO CNCE_ESENZIONELIMITECCNL (IDESENZIONELIMITECCNL, DESCRIZIONE) VALUES ('0', 'Nessuna esenzione');
INSERT INTO CNCE_ESENZIONELIMITECCNL (IDESENZIONELIMITECCNL, DESCRIZIONE) VALUES ('1', 'Operaio non adibito alla produzione');
INSERT INTO CNCE_ESENZIONELIMITECCNL (IDESENZIONELIMITECCNL, DESCRIZIONE) VALUES ('2', 'Operaio adibito a lavori di restauro o archeologici');
INSERT INTO CNCE_ESENZIONELIMITECCNL (IDESENZIONELIMITECCNL, DESCRIZIONE) VALUES ('3', 'Operaio con trattamento pensionistico');
INSERT INTO CNCE_ESENZIONELIMITECCNL (IDESENZIONELIMITECCNL, DESCRIZIONE) VALUES ('4', 'Trasformazione da lavoro a tempo pieno in rapporto a tempo parziale per comprovati motivi di salute ed asistenza familiare');

INSERT INTO CNCE_OPZIONETFR (IDTIPOTFR, DESCRIZIONE) VALUES ('1', 'Il lavoratore ha aderito alla previdenza complementare prima del 31.12.2006');
INSERT INTO CNCE_OPZIONETFR (IDTIPOTFR, DESCRIZIONE) VALUES ('2', 'Il lavoratore ha aderito alla previdenza complementare dopo il 31.12.2006');
INSERT INTO CNCE_OPZIONETFR (IDTIPOTFR, DESCRIZIONE) VALUES ('3', 'Il lavoratore ha aderito alla previdenza complementare dopo il 16.09.2010');

INSERT INTO CNCE_PREVCOMPTIPO1 (IDTIPOADESIONE, DESCRIZIONE) VALUES ('S', 'Il lavoratore aderisce in forma esplicita al fondo di Previdenza prescelto');
INSERT INTO CNCE_PREVCOMPTIPO1 (IDTIPOADESIONE, DESCRIZIONE) VALUES ('T', 'Il lavoratore è iscritto al Fondo di Previdenza Complementare indicato dalla contrattazione collettiva, per effetto del silenzio assenso');
INSERT INTO CNCE_PREVCOMPTIPO1 (IDTIPOADESIONE, DESCRIZIONE) VALUES ('P', 'Il lavoratore aderisce alla previdenza complementare in forma esplicita solamente con la quota TFR');

INSERT INTO CNCE_PREVCOMPTIPO2 (IDTIPOADESIONE2, DESCRIZIONE) VALUES ('1', 'La data di assunzione del lavoratore è antecedente al 28.04.1993 (quota TFR pari al 18%)');
INSERT INTO CNCE_PREVCOMPTIPO2 (IDTIPOADESIONE2, DESCRIZIONE) VALUES ('2', 'La data di assunzione del lavoratore è successiva al 28.04.1993 (quota TFR pari al 100%)');
INSERT INTO CNCE_PREVCOMPTIPO2 (IDTIPOADESIONE2, DESCRIZIONE) VALUES ('3', 'La data di assunzione del lavoratore è antecedente al 28.04.1993 (quota TFR pari al 100%)');
INSERT INTO CNCE_PREVCOMPTIPO2 (IDTIPOADESIONE2, DESCRIZIONE) VALUES ('4', 'Se indipendentemente dalla data di assunzione il lavoratore aderisce al fondo di Previdenza Complementare solo per la quota contributiva a carico lavoratore e ditta');

INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('RLST', 'Contributo aggiuntivo per il rappresentante territoriale dei lavoratori per la Sicurezza');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('AC01', 'Contributo associativo della provincia di Varese');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('AC02', 'Contributo associativo della provincia di Varese');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('IN01', 'Contributo dovuto dalle sociatà di somministrazione lavoro per gli eventi meteo');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('IN02', 'Contributo dovuto dalle sociatà di somministrazione lavoro per la formazione lavoratori temporanei');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('AQ02', 'Contributo Associativo APCE');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('AQ01', 'Contributo ANCE Abruzzo');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('RG01', 'Percentuale di calcolo ove dovuto del Fondo Associativo Imprese Edili');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('CA01', 'Contributi Associativi Assindustria');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('RE01', 'Contributo CPT Impiegati Tecnici');
INSERT INTO CNCE_TIPOALTROCONTRIBUTO (IDALTROCONTRIBUTO, DESCRIZIONE) VALUES ('FV01', 'Numero di Lavoratori al 30/11 per il calcolo del Contributo Fondo Artigiani – Denunce mese Novembre');

INSERT INTO CNCE_TIPOMALATTIA (IDTIPO, DESCRIZIONE) VALUES ('1', 'Malattia');
INSERT INTO CNCE_TIPOMALATTIA (IDTIPO, DESCRIZIONE) VALUES ('2', 'Infortunio');

COMMIT WORK;

/******************************************************************************/
/****                                Done                                  ****/
/******************************************************************************/