-- Created		01/12/2004
-- Modified:	18/10/2019
-- Project		Paghe Pro
-- Model		Paghe (Comunicaz. obbligatorie)
-- Company		Iubar.it (http://www.iubar.it)
-- Author		ing. Andrea Borgogelli Avveduti (info@iubar.it)
-- Version:		01.97.00
-- Database		Firebird


/******************************************************************************/
/****                                CONNECTION                            ****/
/******************************************************************************/

SET SQL DIALECT 3;

SET NAMES UTF8;

CONNECT 'localhost:C:\Users\Iubar\AppData\Local\Temp\fdb\paghe.fdb'
         USER 'SYSDBA' PASSWORD 'masterkey';


/******************************************************************************/
/****                                Data                                  ****/
/******************************************************************************/


INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('LI', 'LICENZIAMENTO INDIVIDUALE');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('LC', 'LICENZIAMENTO COLLETTIVO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('DI', 'DIMISSIONI');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('DG', 'DIMISSIONI GIUSTA CAUSA');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('DP', 'DIMISSIONE DURANTE IL PERIODO DI PROVA');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('PP', 'MANCATO SUPERAMENTO DEL PERIODO DI PROVA');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('MT', 'MODIFICA DEL TERMINE INIZIALMENTE FISSATO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('DE', 'DECESSO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('PE', 'PENSIONAMENTO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('AL', 'ALTRO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('LG', 'LICENZIAMENTO GIUSTA CAUSA');
--nuovi
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('LA', 'LICENZIAMENTO PER GIUSTIFICATO MOTIVO OGGETTIVO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('LB', 'LICENZIAMENTO PER GIUSTIFICATO MOTIVO SOGGETTIVO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('DS', 'DECADENZA DAL SERVIZIO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('CA', 'CESSAZIONE ATTIVITA''');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('AC', 'LICENZIAMENTO PER GIUSTA CAUSA DURANTE IL PERIODO DI FORMAZIONE');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('AM', 'LICENZIAMENTO PER GIUSTIFICATO MOTIVO DURANTE IL PERIODO DI FORMAZIONE');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('AD', 'DIMISSIONI PER GIUSTA CAUSA O GIUSTIFICATO MOTIVO DURANTE IL PERIODO DI FORMAZIONE');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('AR', 'RECESSO CON PREAVVISO AL TERMINE DEL PERIODO FORMATIVO');
INSERT INTO CO_TIPOCESSAZIONE (IDTIPOCESSAZIONE, DESCRIZIONE) VALUES ('RS', 'RISOLUZIONE CONSENSUALE');

COMMIT WORK;

INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('1', 'INPS');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('2', 'INAIL');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('3', 'INPDAP');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('4', 'IPSEMA');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('5', 'ENPALS');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('6', 'INPDAI');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('7', 'EPPSA');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('8', 'ENPAIA');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('9', 'INPIGI');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('10', 'ENPAM');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('11', 'IPOST');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('12', 'ENPAP');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('13', 'ENPAPI');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('14', 'EPPI');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('15', 'IPASVI');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('16', 'ENPAB');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('17', 'EPAP');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('18', 'INPGI');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('19', 'INARCAS');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('20', 'C.FORENSE.');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('21', 'ENPAV');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('22', 'C.GEOM.');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('23', 'C.RAGION');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('24', 'ENPAF');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('25', 'C.DOTCOMM.');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('26', 'ENPACL');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('27', 'C.NOTAR.');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('28', 'ENASARCO');
INSERT INTO CO_ENTEPREVIDENZIALE (IDENTEPREVIDENZIALE, DESCRIZIONE) VALUES ('29', 'NESSUN ENTE PREVIDENZIALE');

COMMIT WORK;

INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.01.00', 'LAVORO A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.02.00', 'LAVORO A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.02.01', 'LAVORO A TEMPO DETERMINATO PER SOSTITUZIONE', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.00', 'APPRENDISTATO EX ART.16 L. 196/97', NULL, '25.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.01', 'APPRENDISTATO PER L''ESPLETAMENTO DEL DIRITTO DOVERE DI ISTRUZIONE FORMAZIONE', NULL, '25.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.02', 'APPRENDISTATO PROFESSIONALIZZANTE', NULL, '25.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.03', 'APPRENDISTATO PER L''ACQUISIZIONE DI DIPLOMA O PER PERCORSI DI ALTA FORMAZIONE', NULL, '25.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.04', 'CONTRATTO DI FORMAZIONE LAVORO (SOLO PUBBLICA AMMINISTRAZIONE)', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.07', 'CONTRATTO DI INSERIMENTO LAVORATIVO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.08 ', 'APPRENDISTATO PER LA QUALIFICA PROFESSIONALE E PER IL DIPLOMA PROFESSIONALE', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.09 ', 'APPRENDISTATO PROFESSIONALIZZANTE O CONTRATTO DI MESTIERE', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.10 ', 'APPRENDISTATO DI ALTA FORMAZIONE E RICERCA', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.11 ', 'APPRENDISTATO PER LA QUALIFICA PROFESSIONALE E PER IL DIPLOMA PROFESSIONALE PER LAVORATORI IN MOBILITA’', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.12', 'APPRENDISTATO PROFESSIONALIZZANTE O CONTRATTO DI MESTIERE PER LAVORATORI IN MOBILITA’', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.13 ', 'APPRENDISTATO DI ALTA FORMAZIONE E RICERCA PER LAVORATORI IN MOBILITA’', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.03.14 ', 'APPRENDISTATO PROFESSIONALIZZANTE O CONTRATTO DI MESTIERE PER LAVORATORI STAGIONALI', NULL, '26.04.2012');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.04.00', 'LAVORO DOMESTICO A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.04.01', 'LAVORO DOMESTICO A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.05.00', 'LAVORO INTERMITTENTE A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.05.01', 'LAVORO INTERMITTENTE A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.06.00', 'LAVORO INTERINALE (O A SCOPO DI SOMMINISTRAZIONE) A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.06.01', 'LAVORO INTERINALE (O A SCOPO DI SOMMINISTRAZIONE) A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.07.00', 'LAVORO RIPARTITO A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.07.01', 'LAVORO RIPARTITO A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.08.00', 'LAVORO A DOMICILIO A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('A.08.01', 'LAVORO A DOMICILIO A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('B.01.00', 'LAVORO A PROGETTO / COLLABORAZIONE COORDINATA E CONTINUATIVA', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('B.02.00', 'LAVORO OCCASIONALE', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('C.01.00', 'TIROCINIO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('C.02.00', 'TIROCINIO ESTIVO DI ORIENTAMENTO', NULL, '15.03.2009');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('C.03.00', 'LAVORO O ATTIVITÀ SOCIALMENTE UTILE (LSU - ASU)', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('F.01.00', 'LAVORO MARITTIMO A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('F.02.00', 'LAVORO MARITTIMO A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('G.01.00', 'LAVORO NELLO SPETTACOLO A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('G.02.00', 'LAVORO NELLO SPETTACOLO A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('G.03.00', 'LAVORO AUTONOMO NELLO SPETTACOLO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('H.01.00', 'LAVORO IN AGRICOLTURA A TEMPO DETERMINATO', NULL, '15.03.2009');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('I.01.00', 'LAVORO DIPENDENTE NELLA P.A. A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('I.02.00', 'LAVORO DIPENDENTE NELLA P.A. A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('L.01.00', 'ASSOCIAZIONE IN PARTECIPAZIONE A TEMPO INDETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('L.01.01', 'ASSOCIAZIONE IN PARTECIPAZIONE A TEMPO DETERMINATO', NULL, NULL);
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('M.01.00', 'CONTRATTO DI AGENZIA A TEMPO INDETERMINATO', NULL, '26.05.2008');
INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('M.01.01', 'CONTRATTO DI AGENZIA A TEMPO DETERMINATO', NULL, '26.05.2008');

COMMIT WORK;

INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('DI', 'TRASFORMAZIONE DA TEMPO DETERMINATO A TEMPO INDETERMINATO', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('PP', 'TRASFORMAZIONE DA TEMPO PARZIALE A TEMPO PIENO', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('AI', 'TRASFORMAZIONE DA CONTRATTO DI APPRENDISTATO A CONTRATTO A TEMPO INDETERMINATO', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FI', 'TRASFORMAZIONE DA CONTRATTO DI FORMAZIONE E LAVORO A CONTRATTO A TEMPO INDETERMINATO', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('II', 'TRASFORMAZIONE DA CONTRATTO DI INSERIMENTO A CONTRATTO A TEMPO INDETERMINATO', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('DL', 'DISTACCO DEL LAVORATORE', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('TL', 'TRASFERIMENTO DEL LAVORATORE', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('TP', 'TRASFORMAZIONE DA TEMPO PIENO A TEMPO PARZIALE', '21.06.2007', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('PV', 'PROGRESSIONE VERTICALE NELLA PA', '15.03.2009', NULL);
INSERT INTO CO_TRASFORMAZIONE (IDTRASFORMAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FF', 'FINE PERIODO FORMATIVO', '26.04.2012', NULL);
COMMIT WORK;

INSERT INTO CO_TIPO (IDTIPOCO, DESCRIZIONE) VALUES (0, 'Errore');
INSERT INTO CO_TIPO (IDTIPOCO, DESCRIZIONE) VALUES (1, 'UNILAV');
INSERT INTO CO_TIPO (IDTIPOCO, DESCRIZIONE) VALUES (2, 'UNISOMM');
INSERT INTO CO_TIPO (IDTIPOCO, DESCRIZIONE) VALUES (3, 'UNIURG');
INSERT INTO CO_TIPO (IDTIPOCO, DESCRIZIONE) VALUES (4, 'VARDATORI');

COMMIT WORK;

INSERT INTO CO_ARGOMENTO (IDARGOMENTO, DESCRIZIONE) VALUES (0, 'Errore');
INSERT INTO CO_ARGOMENTO (IDARGOMENTO, DESCRIZIONE) VALUES (1, 'Assunzione');
INSERT INTO CO_ARGOMENTO (IDARGOMENTO, DESCRIZIONE) VALUES (2, 'Cessazione');
INSERT INTO CO_ARGOMENTO (IDARGOMENTO, DESCRIZIONE) VALUES (3, 'Proroga');
INSERT INTO CO_ARGOMENTO (IDARGOMENTO, DESCRIZIONE) VALUES (4, 'Trasformazione');
INSERT INTO CO_ARGOMENTO (IDARGOMENTO, DESCRIZIONE) VALUES (5, 'Comunicazione Lavoro Domestico');

COMMIT WORK;

INSERT INTO CO_TIPOTRASFERIMENTO (IDTIPOTRASFERIMENTO, DESCRIZIONE) VALUES (1, 'Cessione ramo');
INSERT INTO CO_TIPOTRASFERIMENTO (IDTIPOTRASFERIMENTO, DESCRIZIONE) VALUES (2, 'Affitto ramo');
INSERT INTO CO_TIPOTRASFERIMENTO (IDTIPOTRASFERIMENTO, DESCRIZIONE) VALUES (3, 'Incorporazione');
INSERT INTO CO_TIPOTRASFERIMENTO (IDTIPOTRASFERIMENTO, DESCRIZIONE) VALUES (4, 'Fusione');
INSERT INTO CO_TIPOTRASFERIMENTO (IDTIPOTRASFERIMENTO, DESCRIZIONE) VALUES (5, 'Usufrutto');
INSERT INTO CO_TIPOTRASFERIMENTO (IDTIPOTRASFERIMENTO, DESCRIZIONE) VALUES (6, 'Cessione di contratto');

COMMIT WORK;

INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (1, 'Comunicazione Obbligatoria');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (2, 'Comunicazione a seguito urgenza');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (3, 'Rettifica');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (4, 'Annullamento');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (5, 'Trasformazione da tirocinio in rapporto di lavoro subordinato');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (6, 'Inserimento d''ufficio');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (7, 'Comunicazione a seguito urgenza inviata per via telematica');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (8, 'Comunicazione a seguito urgenza inviata via fax');
INSERT INTO CO_TIPOCOMUNICAZIONE (IDTIPOCOMUNICAZIONE, DESCRIZIONE) VALUES (9, 'Comunicazione a seguito urgenza inviata per via telematica settore turistico (comma 2 art. 4 Legge n° 183 del 2010)');

COMMIT WORK;