-- Created		01/12/2004
-- Modified:	18/10/2019
-- Project		Paghe Pro
-- Model		Anagrafica (Comunicaz. obbligatorie)
-- Company		Iubar.it (http://www.iubar.it)
-- Author		ing. Andrea Borgogelli Avveduti (info@iubar.it)
-- Version:		01.45.00
-- Database		Firebird

/******************************************************************************/
/****                                CONNECTION                            ****/
/******************************************************************************/

CONNECT 'localhost:C:\Users\Iubar\AppData\Local\Temp\fdb\anag.fdb'
USER 'SYSDBA' PASSWORD 'masterkey';

/******************************************************************************/
/****                                Data                                  ****/
/******************************************************************************/


INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ADO', 'ADOZIONE', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('AFF', 'AFFARI', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FID', 'AFFIDAMENTO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ASI', 'ASILO POLITICO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ACI', 'ATTESA CITTADINANZA ART.11 DPR 394.99', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ASA', 'ATTESA STATUS APOLIDIA ART.11 DPR 394.99', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('SPO', 'ATTIVITA'' SPORTIVA', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('CDU', 'CONVENZIONE DUBLINO L.523.92 DEL 1.6.92', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('PRE', 'DICHIARAZ DI PRESENZA ART.4 COM 1. L.39.90', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('SUV', 'LAVORO SUBORDINATO A SEGUITO DI VERTENZA', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('SUB', 'LAVORO SUBORDINATO (ANCHE STAGIONALE)', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ETA', 'MINORE ETA'' ART.28 DPR 394.99', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('MIS', 'MISSIONE', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('MLA', 'MOTIVI COMMERCIALI.LAVORO AUTONOMO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('GIU', 'MOTIVI DI GIUSTIZIA', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('SAL', 'MOTIVI DI SALUTE', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('STU', 'MOTIVI DI STUDIO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FAM', 'MOTIVI FAMILIARI', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('REL', 'MOTIVI RELIGIOSI', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('UMA', 'MOTIVI UMANITARI', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('RES', 'RESIDENZA ELETTIVA', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('RAP', 'RICHIESTA ASILO POLITICO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FDS', 'RIL.FOGLIO DI SOGG. ART.18 DLG.286.98', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('SRL', 'SOGGIORNO RICERCA LAVORO ART.23 D.L. 286', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('TIR', 'TIROCINIO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('TUR', 'TURISMO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('VLA', 'VACANZE LAVORO', '21.06.2007', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('MPS', 'MOTIVI DI PROTEZIONE SOCIALE', '26.05.2008', '30.04.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('APORI', 'RICON. APOLIDE-DPR 334/04 ART. 1 C. 1 LET. C', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ASILO', 'ASILO POLITICO', '30.04.2011', '15.11.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ASIL1', 'RICHIESTA ASILO POLITICO', '30.04.2011', '15.11.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ASIL2', 'RICH. ASILO POLITICO-ATTIVITA LAVORATIVA', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ASMIN', 'ASSISTENZA MINORI DL 8.1.07 N.5 ART. 2 C. 6', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('ATSPO', 'ATTIVITA SPORTIVA', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('CSST1', 'PERM.SOGGIORNO CE SOGG. LUNGO PERIODO', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('DICPR', 'DICHIARAZ.NE DI PRESENZA L.68/07', '30.04.2011', '15.11.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FAMIG', 'MOTIVI FAMILIARI', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('FAMIN', 'FAMIGLIA MINORE 14/18', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('INTMI', 'INTEGRAZIONE MINORE', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LASTA', 'LAVORO STAGIONALE', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVAR', 'LAVORO DI TIPO ARTISTICO', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVAU', 'MOTIVI COMMERCIALI/LAVORO AUTONOMO', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVOR', 'LAVORO SUBORDINATO', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVO3', 'LAVORO SUBORDINATO-ATTESA OCCUPAZIONE', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVO4', 'ATTESA OCCUPAZIONE CIRCOLARI DIP.LIB.CIV', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVPL', 'LAVORO STAGIONALE PLURIENNALE DPR 394/99', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('LAVTU', 'LAVORO CASI PARTICOLARI ART.27 T.U.I.', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('MISSV', 'MISSIONE VOLONTARIATO D.L.VO 154/07', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('PROSU', 'PROTEZIONE SUSSIDIARIA ART. 17 D.L.VO 251', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('PROTE', 'PROTEZIONE TEMPORANEA ART. 20 DLG 286/98', '30.04.2011', '15.11.2011');
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('RISCI', 'RICERCA SCIENTIFICA', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('SOINV', 'MOTIVI UMANITARI L.31/07/2005 NR.155', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('STUDI', 'MOTIVI DI STUDIO', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('TIROC', 'TIROCINIO', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('UMAN1', 'MOTIVI UMANITARI ART. 11 LETTERA C-TER', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('UMAN2', 'MOTIVI UMANITARI ART. 18 D.L. 286/98', '30.04.2011', NULL);
INSERT INTO CO_PERMESSOSOGGIORNO (IDPERMESSO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('VACLA', 'VACANZE LAVORO', '30.04.2011', NULL);
COMMIT WORK;

INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('1', 'PERMESSO', '21.06.2007', NULL);
INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('2', 'CARTA', '21.06.2007', '30.04.2011');
INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('3', 'IN RINNOVO', '21.06.2007', NULL);
INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('4', 'IN ATTESA DI PERMESSO', '25.02.2008', NULL);
INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('5', 'CARTA PERMANENTE', '25.02.2008', NULL);
INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('6', 'ALTRO PROVVEDIMENTO', '25.02.2008', NULL);
INSERT INTO CO_STATUSSTRANIERO (IDSTATUSSTRANIERO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('7', 'PERMESSO DI SOGGIORNO CE PER SOGGIORNANTI DI LUNGO PERIODO', '30.04.2011', NULL);

COMMIT WORK;

INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('-9', 'Non abilitato');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('-1', 'Datore di lavoro');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('0', 'Sconosciuto');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('1', 'Consulenti del Lavoro (art. 1, co. 1, L. 12/79)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('2', 'Avvocati e Procuratori Legali (art. 1, co. 1, L. 12/79)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('3', 'Dottori Commercialisti (art. 1, co. 1, L. 12/79)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('4', 'Ragionieri (art. 1, co. 1, L. 12/79)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('5', 'Periti Commerciali (art. 1, co. 1, L. 12/79)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('6', 'Associazioni di categoria (art. 4-bis, co. 8, d.lgs. 181/2000)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('8', 'Associazioni di categoria dei Datori di lavoro agricoli (art. 9-bis, co. 6, L. 608/96)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('9', 'Soggetti autorizzati all''attività di Intermediazione (art. 2, co.1, lett. b, d.lgs. 276/03)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('10', 'Promotori di tirocini (art. 18, L. 196/97)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('11', 'Consorzi e Gruppi di imprese (art. 61, d.lgs. 276/2003)');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('12', 'Servizi competenti che inseriscono d''ufficio la comunicazione');
INSERT INTO CO_SOGGETTO(IDCOSOGGETTO, DESCRIZIONE) VALUES ('13', 'Periti agrari e agrotecnici');

COMMIT WORK;