-- Created		01/12/2004
-- Modified:	18/10/2019
-- Project		Paghe Open
-- Model		Common (Enpals)
-- Company		Iubar.it (http://www.iubar.it)
-- Author		ing. Andrea Borgogelli Avveduti (info@iubar.it)
-- Version:		01.45.00
-- Database		Firebird

/******************************************************************************/
/****                                Connection                            ****/
/******************************************************************************/

CONNECT 'localhost:C:\Users\Iubar\AppData\Local\Temp\fdb\common.fdb'
USER 'SYSDBA' PASSWORD 'masterkey';

/******************************************************************************/
/****                                Data                                  ****/
/******************************************************************************/

INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('111', 'Stabilimenti di produzione cinematografica');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('112', 'Imprese di produzione cinematografica');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('113', 'Imprese di produzione varia (shorts pubblicitari, fotoromanzi ecc.)');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('114', 'Imprese di sviluppo e stampa');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('115', 'Imprese di doppiaggio');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('121', 'Imprese di distribuzione e noleggio');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('122', 'Esercizi esclusivamente cinematografici');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('123', 'Esercizi cinematografici polivalenti');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('211', 'Edizione musicale, incisione colonne di repertorio e incisione dischi');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('212', 'Edizione musicale, incisione colonne di repertorio e incisione dischi');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('221', 'Enti autonomi lirici e sinfonici');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('222', 'Imprese liriche');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('223', 'Imprese concertistiche');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('224', 'Imprese di spettacolo di balletto');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('225', 'Imprese di spettacolo di operette');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('231', 'Complessi orchestrali di musica leggera');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('232', 'Complessi bandistici');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('311', 'Teatri stabili');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('312', 'Compagnie di prosa');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('321', 'Compagnie di rivista e varietà');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('322', 'Compagnie di commedia musicale');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('331', 'Esercizi teatrali');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('411', 'Rai Radiotelevisione italiana');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('412', 'Radiotelevisioni nazionali private');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('413', 'Radiotelevisioni estere');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('511', 'Esercizi pubblici con orchestra (dancing,nights ecc.)');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('512', 'Case da gioco');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('513', 'Sale da gioco');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('514', 'Sale di attrazione');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('515', 'Parchi di divertimento e zoo-safari');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('516', 'Sale bingo');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('521', 'Spettacolo viaggianti, giostre ed attrazioni');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('522', 'Circhi equestri');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('531', 'Imprese organizzatrici di festivals di partito, feste patronali ecc.');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('532', 'Imprese organizzatrici di festivals');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('533', 'Imprese organizzatrici di manifestazioni di moda');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('611', 'Imprese ed organismi preposti alla gestione di impianti sportivi e che svolgono attività sportiva');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('612', 'Imprese esercenti attività sportiva nell''ambito delle discipline regolamentate dal C.O.N.I. e che trattengono rapporti con sportivi professionisti');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('711', 'Posizione provvisorie in attesa di accertamenti');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('712', 'Imprese non dello spettacolo che effettuano versamenti per trattenute di pensione');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('713', 'Imprese esercenti attività di fornitura di servizi nei vari settori dello spettacolo');
INSERT INTO ENPALS_TIPOATTIVITA (IDTIPOATTIVITA, DESCRIZIONE) VALUES ('714', 'Lavoratore autonomo');


INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('11', 'Artistici lirici');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('12', 'Cantanti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('13', 'coristi e vocalisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('14', 'Maestri del coro, assistenti, aiuti (suggeritori del coro)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('21', 'Attori di prosa e allievi attori (Mimi)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('22', 'Attori cinematografici (*) e di audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('23', 'Attori doppiatori (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('24', 'Attori di operetta');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('25', 'Artisti di rivista, varietà ed attrazioni (comici, fantasisti, soubrette)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('26', 'Artisti del circo (acrobati, clown, domatori, fantasisti)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('27', 'Attori di fotoromanzi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('28', 'Suggeritori teatrali, cinematografici (*) e di audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('29', 'Generici e figuranti speciali (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('31', 'Presentatori');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('32', 'Disc-jockey');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('33', 'Animatori in strutture ricettive connesse all''attività turistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('41', 'Registi teatrali, cinematografici (*) e di audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('42', 'Aiuto registi teatrali, cinematografici (*) e di audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('43', 'Sceneggiatori teatrali, cinematografici (*) e di audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('44', 'Dialoghisti ed adattatori');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('45', 'Direttori della fotografia, light designer (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('46', 'Soggettisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('47', 'Video-assist');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('51', 'Direttori di produzione');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('52', 'Ispettori di produzione');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('53', 'Segretari di produzione');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('54', 'Segretari di edizione');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('55', 'Cassieri di produzione');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('56', 'Organizzatori generali, location manager');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('57', 'Responsabili di edizione della produzione cinematografica e televisiva');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('58', 'Casting director');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('59', 'Documentalisti audiovisivi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('61', 'Direttori di scena (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('62', 'Direttori di doppiaggio (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('63', 'Assistenti di scena e di doppiaggio (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('71', 'Direttori d''orchestra');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('72', 'Sostituti direttori d''orchestra');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('73', 'Maestri suggeritori (maestri collaboratori)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('74', 'Maestri di banda');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('75', 'Compositori');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('81', 'Concertisti e solisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('82', 'Professori d''orchestra');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('83', 'Orchestrali anche di musica leggera');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('84', 'Bandisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('85', 'Consulenti assistenti musicali');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('91', 'Coreografi (*) ed assistenti coreografi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('92', 'Ballerini e tersicorei');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('93', 'Indossatori');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('94', 'Figuranti lirici');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('95', 'Figuranti di sala');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('96', 'Fotomodelli');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('97', 'Cubisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('98', 'Spogliarellisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('101', 'Amministratori di formazione artistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('102', 'Amministratori di produzione cinematografica e audiovisiva');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('103', 'Organizzatori teatrali');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('104', 'Amministratori e segretari di compagnie teatrali');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('111', 'Tecnici del montaggio e del suono della produzione cinematografica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('112', 'Tecnici del montaggio e del suono del teatro');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('113', 'Tecnici del montaggio e del suono di audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('114', 'Tecnici del montaggio di fotoromanzi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('115', 'Tecnici dello sviluppo e stampa, luci, scena ed altri tecnici della prod. Cinematografica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('116', 'Tecnici delle luci, scena ed altri tecnici del teatro');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('117', 'Tecnici delle luci, scena ed altri tecnici audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('118', 'Tecnici dello sviluppo e stampa, luci, scena ed altri tecnici di fotoromanzi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('119', 'Tecnici addetti alle manifestazioni di moda');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('121', 'Operatori di ripresa cinematografica e audiovisiva (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('122', 'Aiuto operatori di ripresa cinematografica ed audiovisiva (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('123', 'Maestranze cinematografiche');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('124', 'Maestranze teatrali');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('125', 'Mestranze delle imprese audiovisivi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('126', 'Fotografi di scena');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('131', 'Architetti (*), arredatori (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('132', 'Costumisti (*), figurinisti (*), modiste (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('133', 'Scenografi (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('134', 'Bozzettista');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('135', 'Story board artist');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('136', 'Creatori di fumetti, illustrazioni e disegni finalizzati all''animazione');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('141', 'Truccatori (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('142', 'Parrucchieri (*)');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('154', 'Artieri ippici');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('155', 'Operatori di cabina di sale cinematografiche');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('156', 'Maschere, custodi, guardarobieri, addetti alle pulizie e al facchinaggio');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('157', 'Maschere, custodi, guardarobieri, addetti alle pulizie e al facchinaggio dipendenti dagli enti ed I');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('158', 'Maschere, custodi, guardarobieri, addetti alle pulizie e al facchinaggio dipendenti dalle imprese d');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('201', 'Impiegati amm.vi e tecnici dipendenti da imprese audiovisivi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('202', 'Impiegati amm.vi e tecnici dipendenti da enti ed imprese esercenti pubblici spettacolo (cassieri e');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('203', 'Impiegati amm.vi e tecnici dipendenti da imprese della produzione cinematografica, del doppiaggio e');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('204', 'Autisti alle dipendenze di imprese dello spettacolo');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('205', 'Operai dipendenti dagli enti ed imprese esercenti pubblici spettacoli, dalle imprese radiofoniche,');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('211', 'Impiegati dipendenti da ippodromi, scuderie di cavalli da corsa e cinodromi, prestatori d''opera, ad');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('212', 'Operai dipendenti dagli ippodromi, dalle scuderie di cavalli da corsa e dai cinodromi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('213', 'Impiegati dipendenti dalle imprese di spettacoli viaggianti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('214', 'Operai dipendenti dalle imprese di spettacoli viaggianti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('215', 'Impiegati addetti agli impianti sportivi (dipendenti da circoli di canottaggio, tennis, palestra, s');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('216', 'Operai addetti agli impianti sportivi di cui sopra');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('217', 'Impiegati dipendenti dalle case da gioco');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('218', 'Operai dipendenti dalle case da gioco');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('219', 'Prestatori d''opera addetti ai totalizzatori o alla ricezione delle scommesse, presso gli ippodromi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('220', 'Atleti f.I.g.c.');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('221', 'Allenatori f.I.g.c.');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('222', 'Direttori tecnici sportivi f.I.g.c.');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('223', 'Preparatori atletici f.I.g.c.');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('231', 'Impiegati dipendenti dalle imprese esercenti il noleggio e la distribuzione dei films');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('232', 'Operai dipendenti dalle imprese esercenti il noleggio e la distribuzione dei films');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('235', 'Impiegati dipendenti dalle sale scommesse');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('236', 'Operai dipendenti dalle sale scommesse');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('237', 'Impiegati dipendenti dalle sale giochi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('238', 'Operai dipendenti dalle sale giochi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('310', 'Atleti federazione ciclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('311', 'Allenatori federazione ciclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('312', 'Direttori tecnici sportivi federazione ciclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('313', 'Preparatori atletici federazione ciclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('322', 'Direttori tecnici sportivi f.I. Cronometristi');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('340', 'Atleti f.I. Golf');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('341', 'Allenatori f.I. Golf');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('342', 'Direttori tecnici sportivi f.I. Golf');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('343', 'Preparatori atletici f.I. Golf');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('400', 'Atleti federazione motociclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('401', 'Allenatori federazione motociclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('402', 'Direttori tecnici sportivi federazione motociclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('403', 'Preparatori atletici federazione motociclistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('430', 'Atleti f.I. Pallacanestro');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('431', 'Allenatori f.I. Pallacanestro');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('432', 'Direttori tecnici sportivi f.I. Pallacanestro');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('433', 'Preparatori atletici f.I. Pallacanestro');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('470', 'Atleti federazione pugilistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('471', 'Allenatori federazione pugilistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('472', 'Direttori tecnici sportivi federazione pugilistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('473', 'Preparatori atletici federazione pugilistica');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('500', 'Lavoratore autonomo esercente attivita'' musicali');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('771', 'Istruttori presso impianti e circoli sportivi di qualsiasi genere, palestre, sale fitness, stadi, s');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('772', 'Addetti presso impianti e circoli sportivi di qualsiasi genere, palestre, sale fitness, stadi, sfer');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('773', 'Impiegati dipendenti da società sportive');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('774', 'Operai dipendenti da società sportive');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('775', 'Direttori tecnici presso società sportive');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('776', 'Massaggiatori presso società sportive');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('777', 'Istruttori presso società sportive');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('821', 'Imitatori, ipnotizzatori, illusionisti e prestigiatori');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('822', 'Marionettisti, burattinai');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('823', 'Acrobati, stuntman, contorsionisti');
INSERT INTO ENPALS_TIPOLAVORATORE (IDTIPOLAVORATORE, DESCRIZIONE) VALUES ('824', 'Maestri d''armi');

COMMIT WORK;

INSERT INTO ENPALS_GRUPPORETRIBUZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('1', 'Retribuzioni correnti');
INSERT INTO ENPALS_GRUPPORETRIBUZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('3', 'Gratificazioni e conguagli');
INSERT INTO ENPALS_GRUPPORETRIBUZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('2', 'Retribuzione ridotta o nessuna retribuzione');

COMMIT WORK;

INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('RN', 'Retribuzione normale', 'D.Lgs.C.P.S. n. 708/1947 e successive modificazioni ed integrazioni', 'ed integrazioni Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('RI', 'Retribuzione normale eccedente il limite previsto per l''applicazione del''aliquota aggiuntiva (1%)', 'Legge 438/92', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', 'Tale codice resta solo per acquisizione dati da cartaceo', '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('RP', 'Retribuzione per giorni di prova', 'Art. 1 comma 15 D.Lgs.182/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', 'Codice in vigore fino al 31/12/2002 - Tale codice resta solo per acquisizione dati da cartaceo', '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('DS', 'Donatori sangue', 'Art. 1 L. 13.7.67 n. 584 sostituito dall''art. 13 della L. 4.5.90 n. 107', 'Circ. n. 5 del 4.03.91; circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P1', 'Retribuzione contratti Part-Time o prestazioni a ore (1 - 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P2', 'Retribuzione contratti Part-Time o prestazioni a ore (1 - 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P3', 'Retribuzione contratti Part-Time o prestazioni a ore (1 - 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P4', 'Retribuzione contratti Part-Time o prestazioni a ore (1 - 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P5', 'Retribuzione contratti Part-Time o prestazioni a ore (1 - 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P6', 'Retribuzione contratti Part-Time o prestazioni a ore (più di 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P7', 'Retribuzione contratti Part-Time o prestazioni a ore (più di 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('P8', 'Retribuzione contratti Part-Time o prestazioni a ore (più di 5 ore)', 'D.Lgs. n.61/2000', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '1');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('AB', 'Astensione per malattia del bambino; permessi per assistenza persone con handicap gravi', 'Art. 7 comma 2 Legge n. 1204 del 1971, modificata dalla legge n. 53 8.3.2000 e D.Lgs n. 151/2001 art. 49 comma 1; L. n.', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('AC', 'Permessi allattamento, malattia del bambino, permessi giornalieri', 'Art. 10 L. 1024/71, D.Lgs. n. 151/2001 art. 39 (allattamento), art. 7 comma 1 L. 1024/71, D.Lgs. n. 151/2001 art. 35 comma', 'Circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('AF', 'Astensione facoltativa', 'Art. 7 comma 1 L. n. 1204/71 modificata dalla L. 8.3.00 n. 53, disciplinati dall''art. 35 comma 1 D.Lgs. n. 151/2001', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('AH', 'Contribuzione figurativa congedo assistenza familiare portatori di handicap', 'D.Lgs. n. 151/2001 art. 42 comma 5; art. 4 comma 2 L. 53/2000; art. 8 L. 23.4.81 n. 155', 'Circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('AT', 'Contribuzione figurativa per assenza malattia (tubercolosi)', 'Art. 3 L. n. 88/87', 'Circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('IM', 'Integrazione di malattia', 'Art. 8 L. 23.4.91 n. 155', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('MT', 'Integrazione di maternità', 'Art. 16, 17 e 20 D. Lgs.151/2001', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '2');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('CA', 'Conguagli di retribuzione per sentenze e conguagli diversi rispetto a quelli spettanti a seguito di norma di legge o di contratto avente effetto retroattivo. Principio di competenza', 'Art. 6 Dlgs. N. 314/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('CL', 'Conguagli di retribuzione dovuti per norma di legge o di contratto aventi effetto retroattivo. Principio di cassa', 'Art. 6 Dlgs. N. 314/97 comma 9', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('FR', 'Indennità sostitutiva per ferie non godute', 'Art. 6 Dlgs. N. 314/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('GR', 'Gratificazioni varie diverse da tredicesima (TR), quattordicesima (QR) e premio di produzione (PP)', 'Art. 6 Dlgs. N. 314/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('PP', 'Premio di produzione (premi - classifica - rendimento)', 'Art. 6 Dlgs. N. 314/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('PR', 'Indennità sostitutiva di preavviso', '', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('QR', 'Quattordicesima', 'Art. 6 Dlgs. N. 314/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('TR', 'Tredicesima', 'Art. 6 Dlgs. N. 314/97', 'Circ. n. 14 del 11.05.98 e circ. n. 26 del 23.07.02', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('K1', 'Versamenti a finanziamento di fondi o casse di previdenza ed assistenza integrativa ed a forme pensionistiche complementari a carico del datore di lavoro - contributo di solidarietà ad esclusivo carico del DDL nella misura del 10% in favore delle gestioni pensionistiche cui sono iscritti i lavoratori', 'Articolo 9 bis, comma 2 del D.L. n. 103/1991, convertito in legge n. 166/1991 - Articolo 12 d.lgs n. 124/1993 - Articolo 16, D.lgs. n. 252/2005', 'Circ. n. 15 del 27.04.1999 e circ. n. 1 del 24.01.2003', NULL, '3');
INSERT INTO ENPALS_TIPORETRIBUZIONE (IDTIPORETRIBUZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, NOTE, IDGRUPPO) VALUES ('K2', 'Premi di risultato stabiliti nell’ambito di contratti o accordi collettivi di secondo livello non eccedenti il limite del tre per cento della retribuzione contrattuale percepita nell’anno solare di riferimento, ex d.l. n. 67/1997, convertito con modificazioni con l. n.135/1997 - contributo di solidarietà ad esclusivo carico del DDL nella misura del 10% in favore delle gestioni pensionistiche cui sono iscritti i lavoratori', 'Articolo 2 D.L. n. 67/97 convertito con modificazioni dalla L. n. 135/97', 'Circ. n. 21 del 12.6.96; circ. n. 15 del 27.04.1999 e circ. n. 1 del 24.01.2003', NULL, '3');

COMMIT WORK;

INSERT INTO ENPALS_GRUPPOAGEVOLAZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('1', 'Contratti di solidarieta');
INSERT INTO ENPALS_GRUPPOAGEVOLAZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('2', 'Contratti di formazione lavoro e apprendistato');
INSERT INTO ENPALS_GRUPPOAGEVOLAZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('3', 'Assunzione lavoratori in mobilita');
INSERT INTO ENPALS_GRUPPOAGEVOLAZIONE (IDGRUPPO, DESCRIZIONE) VALUES ('4', 'Varie');

COMMIT WORK;

INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('ST', 'Contratti di solidarietà con riduzione dell''orario di lavoro superiore al 20% rispetto all''orario contrattuale per imprese che non hanno sede di lavoro nelle aree del Mezzogiorno e nelle zone di declino industrale (lavoratori interessati al trattamento di integrazione salariale)', 'D.L.726/84 convertito nella L. 863/84; D.L. 148/1993 convertito nella L. 236/93', 'Circolare n. 20 del 26/5/1994; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro del 25%', '1');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('SM', 'Contratti di solidarietà con riduzione dell''orario di lavoro superiore al 20% rispetto all''orario contrattuale per imprese con sede di lavoro nelle aree del Mezzogiorno e nelle zone di declino industrale (lavoratori interessati al trattamento di integrazione salariale)', 'D.L. 726/1984 convertito nella Legge 863/1984; D.L. 148/1993 convertito nella Legge 236/1993', 'Circolare n. 20 del 26/5/1994; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro del 30%', '1');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('SD', 'Contratti di solidarietà con riduzione dell''orario di lavoro superiore al 30% rispetto all''orario contrattuale per imprese che non hanno sede di lavoro nelle aree del Mezzogiorno e nelle zone di declino industrale (lavoratori interessati al trattamento di integrazione salariale)', 'D.L. 726/1984 convertito nella Legge 863/1984; D.L. 148/1993 convertito nella Legge 236/1993', 'Circolare n. 20 del 26/5/1994; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro del 35%', '1');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('SZ', 'Contratti di solidarietà con riduzione dell''orario di lavoro superiore al 30% ripetto all''orario contrattuale per imprese con sede di lavoro nelle aree del Mezzogiorno e nelle zone di declino industrale (lavoratori interessati al trattamento di integrazione salariale)', 'D.L. 726/1984 convertito nella Legge 863/1984; D.L. 148/1993 convertito nella Legge 236/1993', 'Circolare n. 20 del 26/5/1994; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro del 40%', '1');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('SW', 'Indica la retribuzione aggiuntiva esente da obbligo contributivo corrisposta ai sensi dell''art. 5 comma 5 L. 236/93 (lavoratori non interessati al trattamento di integrazione salariale)', 'D.L. 726/1984 convertito nella Legge 863/1984; D.L. 148/1993 convertito nella Legge 236/1993', 'Circolare n. 20 del 26/5/1994; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro 100%; riduzione quota lavoratore 100%', '1');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('CS', 'Assunzione di lavoratori di età compresa tra i 15 ed i 29 anni nell''ambito di contratti collettivi aziendali che prevedono una riduzione stabile dell''orario di lavoro', 'Art.2, D.L.726/84 convertito nella Legge 863/84; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 2 dell'' 8/2/1985; Circolare n. 14 dell''11/5/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile', '1');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('FN', 'Assunzione di lavoratori con contratto di formazione e lavoro da parte di datori di lavoro aventi sede di lavoro nel Centro Nord.', 'Articolo 8 della Legge 407/90 e s.m.i.', 'Circolare n. 29 del 5/8/1994; Circolare n. 34 del 17/9/1997; Circolare n. 14 dell''11/5/1998', 'Riduzione quota datore di lavoro del 25%', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('FT', 'Assunzione di lavoratori con contratto di formazione e lavoro da parte di imprese del settore commerciale e turistico con meno di quindici dipendenti con sede di lavoro nel Centro Nord.', 'Articolo 8 della Legge 407/90 e s.m.i.', 'Circolare n. 29 del 5/8/1994; Circolare n. 34 del 17/9/1997; Circolare n. 14 dell''11/5/1998', 'Riduzione quota datore di lavoro del 40%', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('CF', 'Assunzione di lavoratori con contratto di formazione e lavoro da parte di imprese artigiane ovunque ubicate, di imprese con sede di lavoro nel mezzogiorno e di imprese con sede di lavoro in circoscrizioni che presentano un rapporto tra iscritti alla prima classe delle liste di collocamento e popolazione residente, in età da lavoro, superiore alla media nazionale.', 'Articolo 8 della Legge 407/90 e s.m.i.; Articolo 5 del D.L. n. 173/1988 convertito in legge n. 291/1988 ; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 29 del 5/8/1994; Circolare n. 34 del 17/9/1997; Circolare n. 14 dell''11/5/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('CH', 'Assunzione di lavoratori con contratto di formazione e lavoro da parte di associazioni professionali, socio-culturali,sportive, fondazioni ed enti pubblici di ricerca con sede di lavoro nei territori del Mezzogiorno.', 'D.L. n. 32/1994 e n. 299/94 convertito in legge n. 451/1994; Articolo 5 del D.L. n. 173/1988 convertito in legge n.291/1988', 'Circolare n. 9 del 9/3/1994; Circolare n. 29 del 5/8/1994 Circolare n. 34 del 17/9/1997; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro del 50%', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('KF', 'Trasformazione del CFL in rapporto di lavoro indeterminato da parte di imprese aventi sede di lavoro nelle aree Basilicata, Calabria, Campania, Molise, Puglia, Sardegna e Sicilia.', 'Articolo 16 comma 6 del D.L. n. 299/1994 convertito in Legge n. 451/1994; Articolo 15 della Legge n. 196/1997; Art.1,comma 773, L. n. 296/2006', 'Circolare n. 34 del 17/9/1997; Circolare 14 del 11/5/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile per ulteriori 12 mesi', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('KH', 'Trasformazione del CFL in rapporto di lavoro indeterminato da parte di associazioni professionali/socio culturali/sportive, fondazioni ed enti pubblici di ricerca aventi sede di lavoro nelle aree Basilicata, Calabria, Campania, Molise, Puglia, Sardegna e Sicilia', 'Articolo 16 comma 6 del D.L. n. 299/1994 convertito in Legge n. 451/1994; Articolo 15 della Legge n. 196/1997', 'Circolare n. 34 del 17/9/1997; Circolare n. 14 del 11/5/1998', 'riduzione quota datore di lavoro del 50% per ulteriori 12 mesi', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('PA', 'Assunzione a tempo indeterminato di lavoratore apprendista non in possesso di diploma di qualifica conseguito presso un istituto professionale', 'Articolo 21 della Legge n. 56/1987; Articolo 21 della legge n. 41/1986; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 13 del 20/4/1998; Circolare n. 31 del 9/11/1998; Circolare n. 14 dell''11/5/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile per 12 mesi e riduzione di 3 punti percentuali della quota a carico del lavoratore', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('GQ', 'Assunzione di giovane in possesso di diploma di qualifica conseguito presso un istituto professionale', 'Articolo 22 della Legge n. 56/1987; Articolo 21 della legge n. 41/1986; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 31 del 9/11/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile per 6 mesi e riduzione di 3 punti percentuali della quota a carico del lavoratore', '2');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('MO', 'Assunzione a tempo indeterminato di lavoratore iscritto nelle liste di mobilità', 'Articolo 25, comma 9, legge n. 223/1991; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 30 del 31/7/1992; Circolare n. 14 dell''11/5/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile per i primi 18 mesi', '3');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('MD', 'Assunzione di lavoratore in mobilità con contratto di lavoro a termine di durata non superiore a 12 mesi', 'Articolo 8, comma 2, legge n. 223/1991; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 30 del 31/7/1992; Circolare n. 14 dell''11/5/1998;Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile', '3');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('MT', 'Trasformazione del contratto di assunzione a tempo determinato (di durata non superiore a 12 mesi) di lavoratore in mobilità in contratto a tempo indeterminato.', 'Articolo 8, comma 2, legge n. 223/1991; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 30 del 31/7/1992; Circolare n. 5 del 30/1/2002; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile per ulteriori dodici mesi', '3');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('LI', 'Lavoratori imbarcati su navi italiane. Riduzione dei contributi a favore di lavoratore e datore di lavoro.', 'Articolo 13, legge n.488/1999', 'Circolare in corso di emanazione', 'Riduzione quota datore di lavoro 100% - riduzione quota lavoratore 100%', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('RE', 'Assunzioni con contratto di reinserimento di lavoratori che fruiscono da almeno 12 mesi del trattamento speciale di disoccupazione', 'Articolo 20, comma 2,legge n. 223/1991', 'Circolare n. 30 del 31/7/1992; Circolare n.14 dell''11/5/1998', 'riduzione quota datore di lavoro del 75% (per un periodo variabile da 12 a 36 mesi a seconda della durata', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('RU', 'Assunzioni con contratto di reinserimento di lavoratori che fruiscono da almeno 12 mesi del trattamento speciale di disoccupazione', 'Articolo 20, comma 3,legge n. 223/1991', 'Circolare n. 30 del 31/7/1992; Circolare n.14 dell''11/5/1998', 'riduzione quota datore di lavoro del 37,5% (per un periodo pari al doppio di quello di effettiva disoccupazione fino ad un massimo di 72 mesi)', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('SC', 'Riduzione a zero delle aliquote complessive della contribuzione dovuta dalle cooperative sociali relativamente alla retribuzione corrisposta alle persone svantaggiate', 'Articolo 4, comma 3, legge n. 381/1991', 'Circolare n. 21 dell''1/6/1994; Circolare n. 14 dell''11/5/1998', 'riduzione quota datore di lavoro 100% - riduzione quota lavoratore 100%', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('EE', 'Riduzione contributiva per lavoratori operanti all''estero', 'Articolo 4, comma 2, D.L.n. 317/1987 convertito in legge n. 398/1987', 'Varie (cfr. da ultimo Messaggio n. 2 del 30/03/2006); Circolare n. 14 dell''11/5/1998', 'riduzione di 10 punti percentuali dell''aliquota a carico del datore di lavoro', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('TA', 'Assunzioni di lavoratori con contratto di lavoro a tempo indeterminato e parziale (orario settimanale pari o superiore alle 20 ore e non superiore a 24 ore)', 'Articolo 5, comma 4, d.lgs.n. 61/2000; Articolo 1, D.M.12/4/2000', 'Circolare n. 24 del 19/10/2001', 'riduzione di 7 punti percentuali dell''aliquota a carico del datore di lavoro', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('TB', 'Assunzioni di lavoratori con contratto di lavoro a tempo indeterminato e parziale (orario settimanale superiore alle 24 ore e non superiore a 28 ore)', 'Articolo 5, comma 4, d.lgs. n. 61/2000; Articolo 1, D.M.12/4/2000', 'Circolare n. 24 del 19/10/2001', 'riduzione di 10 punti percentuali dell''aliquota a carico del datore di lavoro', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('TC', 'Assunzioni di lavoratori con contratto di lavoro a tempo indeterminato e parziale (orario settimanale superiore alle 28 ore e non superiore a 32 ore)', 'Articolo 5, comma 4, d.lgs.n. 61/2000; Articolo 1, D.M.12/4/2000', 'Circolare n. 24 del 19/10/2001', 'riduzione di 13 punti percentuali dell''aliquota a carico del datore di lavoro', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('SG', 'Nuove assunzioni di lavoratori dello spettacolo nell''anno 2002 da parte di datori di lavoro con sede in Campania, Basilicata, Sicilia, Puglia,Calabria, Sardegna, Abruzzo, Molise, Cassino', 'Articolo 44, comma 1 e 3,legge n. 448/2001', 'Circolare n. 3 del 31/01/2003', 'riduzione quota datore di lavoro 100%', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('MS', 'Assunzione, in aziende con meno di 20 dipendenti, di personale con contratto a tempo determinato in sostituzione di lavoratori e lavoratrici in congedo (ai sensi del T.U. delle disposizioni legislativa in materia di tutela e sostegno della maternità e della paternità)', 'Articolo 10, comma 2,legge n. 53/2000; articolo 4, comma 3, legge n.151/2001', 'Circolare n. 34 del 11./10/2000', 'riduzione quota datore di lavoro del 50% fino al compimento di un anno di età del figlio della lavoratrice o del lavoratore in congedo', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('FI', 'Assunzione a tempo indeterminato di lavoratori disoccupati da almeno 24 mesi o sospesi dal lavoro e beneficiari di trattamento straordinario di integrazione salariale, da parte dei datori di lavoro operanti nel centro nord.', 'Articolo 8, comma 9 della Legge n. 407/1990', 'Circolare n. 16 del 26/4/1995; Circolare n.14 dell''11/5/1998', 'riduzione quota datore di lavoro del 50% per 36 mesi.', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('FZ', 'Assunzione a tempo indeterminato di lavoratori disoccupati da almeno 24 mesi o sospesi dal lavoro e beneficiari di trattamento straordinario di integrazione salariale da parte dei datori di lavoro operanti nel mezzogiorno e da parte di imprese artigiane ovunque ubicate', 'Articolo 8, comma 9 della Legge n. 407/1990', 'Circolare n. 16 del 26/4/1995; Circolare n.14 dell''11/5/1998', 'Riduzione quota datore di lavoro 100% per 36 mesi', '4');
INSERT INTO ENPALS_TIPOAGEVOLAZIONE (IDTIPOAGEVOLAZIONE, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, MODALITA, IDGRUPPO) VALUES ('MI', 'Assunzione a tempo pieno ed indeterminato - da parte di datori di lavoro comprese le società cooperative di produzione e lavoro - di lavoratori che presso altre imprese beneficiarie abbiano fruito del trattamento straordinario di integrazione salariale per almeno tre mesi', 'Articolo 4, comma 3, D.L. n. 148/1993; Art.1, comma 773, L. n. 296/2006', 'Circolare n. 14 dell''11/5/1998; Circolare n. 3 dell''8/2/2007', 'quota datore di lavoro pari al 9,01% della retribuzione imponibile per un periodo di dodici mesi', '4');

COMMIT WORK;

INSERT INTO ENPALS_GRUPPOALIQUOTA (IDGRUPPO, DESCRIZIONE) VALUES ('1', 'Lavoratori dello spettacolo');
INSERT INTO ENPALS_GRUPPOALIQUOTA (IDGRUPPO, DESCRIZIONE) VALUES ('2', 'Sportivi professionisti');
INSERT INTO ENPALS_GRUPPOALIQUOTA (IDGRUPPO, DESCRIZIONE) VALUES ('3', 'Lavoratori dello spettacolo e sportivi professionisti');

COMMIT WORK;

INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('C3', 'Lavoratori iscritti a forme pensionistiche obbligatorie dopo il 31.12.95', 'D.Lgs. n. 182/1997; Art. 43, comma 1, L. n. 289/02; Art. 1, comma 769, L.296/2006', 'Circolare n. 27/1997; Circolare n. 44/1997; Circolare n. 1/2003; Circolare n. 3/2007', '1');
INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('R3', 'Tersicorei e ballerini iscritti all’ENPALS successivamente al 31.12.95 e privi di precedente anzianità contributiva in altre gestioni pensionistiche obbligatorie', 'D.Lgs. n. 182/1997; Art. 43, comma 1, L. n. 289/02; Art. 1, comma 769, L.296/2006', 'Circolare n. 27/1997; Circolare n. 44/1997; Circolare n. 1/2003; Circolare n. 3/2007', '1');
INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('X3', 'Tersicorei e ballerini iscritti all’ENPALS successivamente al 31.12.95 ma con precedente anzianità contributiva in altre gestioni pensionistiche obbligatorie', 'D.Lgs. n. 182/1997; Art. 43, comma 1, L. n. 289/02; Art. 1, comma 769, L.296/2006', 'Circolare n. 27/1997; Circolare n. 44/1997; Circolare n. 1/2003; Circolare n. 3/2007', '1');
INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('Y3', 'Lavoratori già iscritti a forme pensionistiche obbligatorie al 31.12.95; Tersicorei e ballerini già iscritti all''Enpals al 31.12.95', 'D.Lgs. n. 182/1997; Art. 43, comma 1, L. n. 289/02; Art. 1, comma 769, L.296/2006', 'Circolare n. 27/1997; Circolare n. 44/1997; Circolare n. 1/2003; Circolare n. 3/2007', '1');
INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('T', 'Lavoratori iscritti a forme pensionistiche obbligatorie dopo il 31.12.95', 'D.Lgs. n. 166/97; Art. 1, comma 769, L.296/2006', 'Circolare n. 26/1997; Circolare n. 38/1997; Circolare n. 1/2003; Circolare n. 3/2007', '2');
INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('Z', 'Lavoratori già iscritti a forme pensionistiche obbligatorie al 31.12.95', 'D.Lgs. n. 166/97; Art. 1, comma 769, L.296/2006', 'Circolare n. 26/1997; Circolare n. 38/1997; Circolare n. 1/2003; Circolare n. 3/2007', '2');
INSERT INTO ENPALS_TIPOALIQUOTA (IDTIPOALIQUOTA, DESCRIZIONE, FONTENORMATIVA, FONTEAMMINISTRATIVA, IDGRUPPO) VALUES ('ZZ', 'Codice volto ad indicare l’ammontare delle sanzioni civili', 'Art. 116, L. n. 388/2000', 'Circolare n. 14/2001', '3');

COMMIT WORK;


INSERT INTO ENPALS_ALIQUOTA (IDTIPOALIQUOTA, CODCAUSALE, ALIQUOTADATORE, ALIQUOTALAVORATORE) VALUES ('C3', '020', '0.2381', '0.0919');
INSERT INTO ENPALS_ALIQUOTA (IDTIPOALIQUOTA, CODCAUSALE, ALIQUOTADATORE, ALIQUOTALAVORATORE) VALUES ('T', '020', '0.2381', '0.0919');
INSERT INTO ENPALS_ALIQUOTA (IDTIPOALIQUOTA, CODCAUSALE, ALIQUOTADATORE, ALIQUOTALAVORATORE) VALUES ('R3', '020', '0.2581', '0.0989');
INSERT INTO ENPALS_ALIQUOTA (IDTIPOALIQUOTA, CODCAUSALE, ALIQUOTADATORE, ALIQUOTALAVORATORE) VALUES ('X3', '020', '0.2581', '0.0989');
INSERT INTO ENPALS_ALIQUOTA (IDTIPOALIQUOTA, CODCAUSALE, ALIQUOTADATORE, ALIQUOTALAVORATORE) VALUES ('Z', '020', '0.2381', '0.0919');
INSERT INTO ENPALS_ALIQUOTA (IDTIPOALIQUOTA, CODCAUSALE, ALIQUOTADATORE, ALIQUOTALAVORATORE) VALUES ('Y3', '020', '0.2381', '0.0919');

COMMIT WORK;

INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('1', 'rapporto di lavoro subordinato a tempo indeterminato');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('2', 'rapporto di lavoro subordinato a tempo determinato');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('3', 'lavoro a progetto');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('4', 'associato in partecipazione');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('5', 'lavoratore autonomo');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('6', 'socio di cooperativa o autonomo');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('7', 'socio di cooperativa lavoratore subordinato a tempo indeterminato');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('8', 'socio di cooperativa lavoratore subordinato a tempo determinato');
INSERT INTO ENPALS_TIPORAPPORTO (IDTIPORAPPORTO, DESCRIZIONE) VALUES ('0', 'rapporto di lavoro subordinato a tempo indeterminato');



/******************************************************************************/
/****                                Done                                  ****/
/******************************************************************************/